LASs - Linear Algebra Routines on OmpSs 1.0.0 LASs

- Main Page
- Files

- File List
- File Members

Functions
ddss_tile.c File Reference

LASs-DDSs ddss_tile routines. More...

`#include "../include/lass.h"`
Include dependency graph for ddss_tile.c:

Go to the source code of this file.

## Functions
int | ddss_tile_size (int M, int MT)

## Detailed Description

LASs-DDSs ddss_tile routines.

LASs-DDSs is a software package provided by: Barcelona Supercomputing Center - Centro Nacional de Supercomputacion

Author
  Pedro Valero-Lara pedro.nosp@m..val.nosp@m.ero@b.nosp@m.sc.e.nosp@m.s

Date
  2017-05-10

Definition in file ddss_tile.c.

## Function Documentation

int ddss_tile_size | ( | int | M,
|  | int | MT
| ) |  |

tile_size: Computes the size of the tile passed as parameter.

Parameters

  [in] | M | int. M specifies the size ( rows of columns ) of the matrix.
  [in] | MT | int. MT specifies the id of the tile.

Return values

  int | size of the tile passed as parameter.

See also
  ddss_gather_tile

Definition at line 52 of file ddss_tile.c.

Referenced by ddss_dgather_tile(), ddss_dscatter_tile(), kdgemm(), kdnpgesv(), kdnpgetrf(), kdposv(), kdpotrf(), kdsymm(), kdsyr2k(), kdsyrk(), kdtpgesv(), kdtpgetrf(), kdtrmm(), and kdtrsm().

53 {
54
55 if ( M - ( MT * TILE_SIZE ) > TILE_SIZE )
56 return TILE_SIZE;
57 else
58 return M - ( MT * TILE_SIZE );
59
60 }